db4o |

# ObjectContainer.Close Method

closes this ObjectContainer.

bool Close();

#### Return Value

success - true denotes that the last used instance of this container and the database file were closed.

#### Remarks

closes this ObjectContainer.
A call to Close() automatically performs a commit .
Note that every session opened with Db4o.OpenFile() requires one Close()call, even if the same filename was used multiple times.
Use

    while(!Close()){}

to kill all sessions using this container.

#### See Also

ObjectContainer Interface | com.db4o Namespace